// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "scene/SceneList.hpp"
#include "component/display/Camera.hpp"
#include "component/display/MeshRenderer.hpp"
#include "display/mesh/CubeMesh.hpp"

using namespace Dawn;

void Dawn::helloWorldScene(Scene &s) {
  std::cout << "Hello World Scene" << std::endl;

  auto cameraItem = s.createSceneItem();
  auto camera = cameraItem->addComponent<Camera>();

  auto cubeMesh = std::make_shared<Mesh>();
  CubeMesh::buffer(cubeMesh, glm::vec3(-1, -1, -1), glm::vec3(1, 1, 1), 0, 0);

  auto cubeItem = s.createSceneItem();
  auto cubeMeshRenderer = cubeItem->addComponent<MeshRenderer>();
  cubeMeshRenderer->mesh = cubeMesh;
}